<?php

namespace FM\Service;

use FM\Factory\FmtProdutoFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class FmtProdutoService
{

    protected $ProdutoFactory;
    protected $Environment;
    protected $newCode;

    public function __construct(FmtProdutoFactory $ProdutoFactory, Environment $Environment, NewCode $newCode)
    {
        $this->ProdutoFactory = $ProdutoFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }

    public function getProdutos()
    {
        return $this->ProdutoFactory->getProdutos();
    }
}
